Name:           perl-Net-IP-CMatch
Version:        0.02
Release:        4%{?dist}
Summary:        Efficiently match IP addresses against IP ranges with C

Group:          Development/Libraries
License:        Artistic or GPL
URL:            http://search.cpan.org/dist/Net-IP-CMatch/
Source0:        http://search.cpan.org/CPAN/authors/id/B/BE/BEAU/Net-IP-CMatch-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Net::IP::CMatch is based upon, and does the same thing as Net::IP::Match. The
unconditionally exported subroutine 'match_ip' determines if the IP to match
(first argument) matches any of the subsequent IP arguments. Match arguments
may be absolute quads, as '127.0.0.1', or contain mask bits as
'111.245.76.248/29'. A true return value indicates a match. It was written in
C, rather than a macro, preprocessed through perl's source filter mechanism
(as is Net::IP::Match), so that the IP arguments could be traditional perl
scalars. The C code is lean and mean (IMHO).

%prep
%setup -q -n Net-IP-CMatch-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes
%{perl_vendorarch}/auto/Net/
%{perl_vendorarch}/Net/
%{_mandir}/man3/*.3*


%changelog
* Tue Aug 29 2006 - Orion Poplawski <orion@cora.nwra.com> - 0.02-4
- Rebuild for FC6

* Mon Feb 27 2006 - Orion Poplawski <orion@cora.nwra.com> - 0.02-3
- Rebuild for FC5

* Tue Oct 18 2005 Paul Howarth <paul@city-fan.org> - 0.02-2
- Add Changes as %%doc
- Fix directory ownership
- Remove redundant BR: perl
- Simplify compiler optimization
- Tidy up %%description

* Mon Oct 3 2005 - Orion Poplawski <orion@cora.nwra.com> - 0.02-1
- Initial version
